package com.ruoyi.ie.service;

import java.util.List;
import com.ruoyi.ie.domain.AMarjorPlan;

/**
 * 专业计划要求Service接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface IAMarjorPlanService 
{
    /**
     * 查询专业计划要求
     * 
     * @param id 专业计划要求主键
     * @return 专业计划要求
     */
    public AMarjorPlan selectAMarjorPlanById(Long id);
    List<AMarjorPlan> selectAMarjorPlanByIds(Long[] ids);

    /**
     * 查询专业计划要求列表
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 专业计划要求集合
     */
    public List<AMarjorPlan> selectAMarjorPlanList(AMarjorPlan aMarjorPlan);

    /**
     * 新增专业计划要求
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 结果
     */
    public int insertAMarjorPlan(AMarjorPlan aMarjorPlan);

    /**
     * 修改专业计划要求
     * 
     * @param aMarjorPlan 专业计划要求
     * @return 结果
     */
    public int updateAMarjorPlan(AMarjorPlan aMarjorPlan);

    /**
     * 批量删除专业计划要求
     * 
     * @param ids 需要删除的专业计划要求主键集合
     * @return 结果
     */
    public int deleteAMarjorPlanByIds(Long[] ids);

    /**
     * 删除专业计划要求信息
     * 
     * @param id 专业计划要求主键
     * @return 结果
     */
    public int deleteAMarjorPlanById(Long id);
}
